Enspace
  1. Forms
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
        • Get specific Flow
      • Forms
        • List Form
          GET
        • Get specific Form
          GET
        • List Form Create
          GET
      • List Types
        GET
      • Count Types
        GET
      • Get specific Type
        GET
      • Create Type
        POST
      • Update Type
        PUT
      • Delete Type
        DELETE
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
      • Create Integration
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
    • List API Keys
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Forms

Get specific Form

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-forms
Maintainer:João Prado

Get Form#

Retrieves the details of a specific form using its unique identifier. A form represents a data collection structure or interface configured within the system.
The response includes the form metadata, such as name, version, publishing status, and layout configurations. Additionally, it returns the complete definition of the fields that compose the form, including data types, validations, display rules, and associations with data entities.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-forms?id=88&__relations=user,item_type' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
{
    "id": 39,
    "name": "Feliciano Pereira",
    "status": "aliqua esse dolore incididunt",
    "item_type": {
        "id": 22,
        "name": "Gabriel Pereira",
        "slug": "pariatur enim sint nulla commodo",
        "description": "Nulla pariatur vero libero pariatur necessitatibus deserunt. Eligendi aperiam tenetur. Iusto nostrum molestias. Sapiente repudiandae culpa labore enim at numquam vero quod velit. Esse distinctio aperiam quam nihil debitis animi. Reiciendis mollitia iure eos sapiente doloremque inventore.",
        "icon": "https://avatars.githubusercontent.com/u/1031024",
        "status": "pariatur",
        "autoMenu": false,
        "resumeExpression": "magna",
        "created_at": "2026-03-10T10:55:38.078Z",
        "updated_at": "2025-05-04",
        "view": {}
    },
    "visibility": "cillum est quis amet do",
    "layout": "pariatur reprehenderit fugiat",
    "identification": "dolor cupidatat",
    "migration_hash": "amet",
    "show_screening": true,
    "type": "aute",
    "user": {},
    "created_at": "2026-03-10T06:25:03.025Z",
    "updated_at": "2025-07-23",
    "icon": "https://avatars.githubusercontent.com/u/41816155"
}
Previous
List Form
Next
List Form Create
Built with